## refind 0.10.4

=== Makefile ===
# Makefile for rEFInd

# This program is licensed under the terms of the GNU GPL, version 3,
# or (at your option) any later version.
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

LOADER_DIR=refind
FS_DIR=filesystems
LIBEG_DIR=libeg
MOK_DIR=mok
GPTSYNC_DIR=gptsync
EFILIB_DIR=EfiLib
export EDK2BASE=/usr/local/UDK2014/MyWorkSpace
export REFIND_VERSION='L"0.10.4"'

# The "all" target builds with the TianoCore library if possible, but falls
# back on the more easily-installed GNU-EFI library if TianoCore isn't
# installed at $(EDK2BASE)
all:
ifneq ($(wildcard $(EDK2BASE)/*),)
	@echo "Found $(EDK2BASE); building with TianoCore"
	+make tiano
else
	@echo "Did not find $(EDK2BASE); building with GNU-EFI"
	+make gnuefi
endif

# The "fs" target, like "all," attempts to build with TianoCore but falls
# back to GNU-EFI.
fs:
ifneq ($(wildcard $(EDK2BASE)/*),)
	@echo "Found $(EDK2BASE); building with TianoCore"
	+make fs_tiano
else
	@echo "Did not find $(EDK2BASE); building with GNU-EFI"
	+make fs_gnuefi
endif

# Likewise for GPTsync....
GPTsync:
ifneq ($(wildcard $(EDK2BASE)/*),)
	@echo "Found $(EDK2BASE); building with TianoCore"
	+make gptsync_tiano
else
	@echo "Did not find $(EDK2BASE); building with GNU-EFI"
	+make gptsync_gnuefi
endif

# Don't build gptsync under TianoCore by default because it errors out when
# using a cross-compiler on an x86-64 system. Because gptsync is pretty
# useless on ARM64, skipping it is no big deal....
tiano:
	+make MAKEWITH=TIANO AR_TARGET=EfiLib -C $(EFILIB_DIR) -f Make.tiano
	+make MAKEWITH=TIANO AR_TARGET=libeg -C $(LIBEG_DIR) -f Make.tiano
	+make MAKEWITH=TIANO AR_TARGET=mok -C $(MOK_DIR) -f Make.tiano
	+make MAKEWITH=TIANO BUILDME=refind DLL_TARGET=refind -C $(LOADER_DIR) -f Make.tiano
ifneq ($(ARCH),aarch64)
	+make MAKEWITH=TIANO -C $(GPTSYNC_DIR) -f Make.tiano
endif
#	+make MAKEWITH=TIANO -C $(FS_DIR)

gnuefi:
	+make MAKEWITH=GNUEFI -C $(LIBEG_DIR)
	+make MAKEWITH=GNUEFI -C $(MOK_DIR)
	+make MAKEWITH=GNUEFI -C $(EFILIB_DIR)
	+make MAKEWITH=GNUEFI -C $(LOADER_DIR)
	+make MAKEWITH=GNUEFI -C $(GPTSYNC_DIR) gnuefi
#	+make MAKEWITH=GNUEFI -C $(FS_DIR) all_gnuefi

fs_tiano:
	+make MAKEWITH=TIANO -C $(FS_DIR)

fs_gnuefi:
	+make MAKEWITH=GNUEFI -C $(FS_DIR) all_gnuefi

gptsync_tiano:
	+make MAKEWITH=TIANO -C $(GPTSYNC_DIR) -f Make.tiano

gptsync_gnuefi:
	+make MAKEWITH=GNUEFI -C $(GPTSYNC_DIR) gnuefi

clean:
	make -C $(LIBEG_DIR) clean
	make -C $(MOK_DIR) clean
	make -C $(LOADER_DIR) clean
	make -C $(EFILIB_DIR) clean
	make -C $(FS_DIR) clean
	make -C $(GPTSYNC_DIR) clean
	rm -f include/*~

# NOTE TO DISTRIBUTION MAINTAINERS:
# The "install" target installs the program directly to the ESP
# and it modifies the *CURRENT COMPUTER's* NVRAM. Thus, you should
# *NOT* use this target as part of the build process for your
# binary packages (RPMs, Debian packages, etc.). (Gentoo could
# use it in an ebuild, though....) You COULD, however, copy the
# files to a directory somewhere (/usr/share/refind or whatever)
# and then call refind-install as part of the binary package
# installation process.

install:
	./refind-install

# DO NOT DELETE

=== refind/Makefile ===
#
# refind/Makefile
# Build control file for the rEFInd boot menu
#
# This program is licensed under the terms of the GNU GPL, version 3,
# or (at your option) any later version.
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

SRCDIR = .

VPATH = $(SRCDIR)

ARCH            = $(shell uname -m | sed s,i[3456789]86,ia32,)

TARGET	= refind.efi

ifeq ($(ARCH),ia32)
  LIBEG = build32
  TARGET = refind_ia32.efi
endif

ifeq ($(ARCH),x86_64)
  LIBEG = build64
  TARGET = refind_x64.efi
endif

ifeq ($(ARCH),aarch64)
  LIBEG = build
  TARGET = refind_aa64.efi
endif

LOCAL_GNUEFI_CFLAGS  = -I$(SRCDIR) -I$(SRCDIR)/../include \
                       -I$(SRCDIR)/../libeg -I$(SRCDIR)/../mok
LOCAL_LDFLAGS   = -L$(SRCDIR)/../libeg/ -L$(SRCDIR)/../mok/ \
                  -L$(SRCDIR)/../EfiLib/
LOCAL_LIBS      = -leg -lmok -lEfiLib

OBJS            = main.o mystrings.o apple.o line_edit.o config.o menu.o \
                  screen.o icns.o gpt.o crc32.o lib.o driver_support.o \
		  legacy.o

include $(SRCDIR)/../Make.common

all: $(TARGET)

$(SHLIB_TARGET): $(OBJS)
	$(LD) $(LOCAL_LDFLAGS) $(GNUEFI_LDFLAGS) $(SUBSYSTEM_LDFLAG) $(OBJS) \
	      -o $@ $(LOCAL_LIBS) $(GNUEFI_LIBS)

$(TARGET): $(SHLIB_TARGET)
	$(OBJCOPY) -j .text -j .sdata -j .data -j .dynamic -j .dynsym -j .rel \
	           -j .rela -j .rel.* -j .rela.* -j .rel* -j .rela* \
		   -j .reloc $(FORMAT) $< $@
	chmod a-x $(TARGET)

clean:
	rm -f $(TARGET) *~ *.so $(OBJS) *.efi *.obj refind_*.txt \
		refind_*.dll *.lib

=== debian/changelog ===
refind (0.10.4-1) unstable; urgency=medium

  * Update to 0.10.4 upstream release
    - experimental touchscreen support
    - support for 64bit pointers in ext4fs driver
    - remove backported patches

 -- Tianon Gravi <tianon@debian.org>  Mon, 10 Oct 2016 16:12:05 -0700

refind (0.10.3-2) unstable; urgency=medium

  * Fix minor description typo (Closes: #827642); thanks Josh!
  * Move "sbsigntool" to "Recommends" (especially for arm64, which doesn't have
    sbsigntool in Debian yet)
  * Backport upstream change to refind-install to handle a wider range of disk
    devices (Closes: #827851)
  * Backport upstream patch for GNU-EFI header incompatibility which causes our
    package to FTBFS (Closes: #831258)
  * Backport upstream patch for GNU-EFI uninitialized-pointer issue

 -- Tianon Gravi <tianon@debian.org>  Sat, 08 Oct 2016 10:31:34 -0700

refind (0.10.3-1) unstable; urgency=medium

  * Initial release (Closes: #715426)

 -- Tianon Gravi <tianon@debian.org>  Sat, 18 Jun 2016 10:05:34 -0700

=== debian/control ===
Source: refind
Maintainer: Rod Smith <rod.smith@canonical.com>
Uploaders: Tianon Gravi <tianon@debian.org>
Section: admin
Priority: optional
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), gnu-efi
Homepage: http://www.rodsbooks.com/refind
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/refind.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/refind.git

Package: refind
Architecture: amd64 arm64 i386
Depends: debconf, efibootmgr, openssl, parted, ${misc:Depends}
Recommends: python3, sbsigntool
Description: boot manager for EFI-based computers
 A graphical boot manager for EFI- and UEFI-based computers, such as all
 Intel-based Macs and recent (most 2011 and later) PCs. rEFInd presents a
 boot menu showing all the EFI boot loaders on the EFI-accessible
 partitions, and optionally BIOS-bootable partitions on Macs and BIOS boot
 entries on UEFI PCs with CSMs. EFI-compatible OSes, including Linux,
 provide boot loaders that rEFInd can detect and launch. rEFInd can launch
 Linux EFI boot loaders such as ELILO, GRUB Legacy, GRUB 2, and 3.3.0 and
 later kernels with EFI stub support. EFI filesystem drivers for ext2/3/4fs,
 ReiserFS, Btrfs, NTFS, HFS+, and ISO-9660 enable rEFInd to read boot
 loaders from these filesystems, too. rEFInd's ability to detect boot
 loaders at runtime makes it very easy to use, particularly when paired with
 Linux kernels that provide EFI stub support.

## refind 0.11.2

=== Makefile ===
# Makefile for rEFInd

# This program is licensed under the terms of the GNU GPL, version 3,
# or (at your option) any later version.
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

include Make.common

SHELL=/bin/bash
LOADER_DIR=refind
FS_DIR=filesystems
LIBEG_DIR=libeg
MOK_DIR=mok
GPTSYNC_DIR=gptsync
EFILIB_DIR=EfiLib
# Two possible locations for TianoCore toolkit:
# TIANOBASE is used with "tiano" targets and
# EDK2BASE is used with "edk2" targets
export TIANOBASE=/usr/local/UDK2014/MyWorkSpace
export EDK2BASE=/usr/local/edk2-vUDK2017
# NOTE: Below is overridden for "tiano" targets
-include $(EDK2BASE)/Conf/target.txt
THISDIR=$(shell pwd)
EDK2_BUILDLOC=$(EDK2BASE)/Build/Refind/$(TARGET)_$(TOOL_CHAIN_TAG)/$(UC_ARCH)
EDK2_PROGRAM_BASENAMES=refind gptsync
EDK2_PROGRAMS=$(EDK2_PROGRAM_BASENAMES:=.efi)
EDK2_DRIVER_BASENAMES=btrfs ext4 ext2 hfs iso9660 ntfs reiserfs
EDK2_DRIVERS=$(EDK2_DRIVER_BASENAMES:=.efi)
EDK2_ALL_BASENAMES=$(EDK2_PROGRAM_BASENAMES) $(EDK2_DRIVER_BASENAMES)
EDK2_ALL_FILES=$(EDK2_ALL_BASENAMES:=.efi)

# The "all" target builds with the TianoCore library if possible, but falls
# back on the more easily-installed GNU-EFI library if TianoCore isn't
# installed at $(EDK2BASE) or $(TIANOBASE)
all:
ifneq ($(wildcard $(EDK2BASE)/*),)
	@echo "Found $(EDK2BASE); building with TianoCore EDK2"
	+make edk2
else ifneq ($(wildcard $(TIANOBASE)/*),)
	@echo "Found $(TIANOBASE); building with TianoCore UDK2014"
	+make tiano
else
	@echo "Did not find $(EDK2BASE) or $(TIANOBASE); building with GNU-EFI"
	+make gnuefi
endif

# The "fs" target, like "all," attempts to build with TianoCore but falls
# back to GNU-EFI.
fs:
ifneq ($(wildcard $(EDK2BASE)/*),)
	@echo "Found $(EDK2BASE); building with TianoCore EDK2"
	+make fs_edk2
else ifneq ($(wildcard $(TIANOBASE)/*),)
	@echo "Found $(TIANOBASE); building with TianoCore UDK2014"
	+make fs_tiano
else
	@echo "Did not find $(EDK2BASE) or $(TIANOBASE); building with GNU-EFI"
	+make fs_gnuefi
endif

# Likewise for GPTsync....
gptsync:
ifneq ($(wildcard $(EDK2BASE)/*),)
	@echo "Found $(EDK2BASE); building with TianoCore EDK2"
	+make gptsync_edk2
else ifneq ($(wildcard $(TIANOBASE)/*),)
	@echo "Found $(TIANOBASE); building with TianoCore UDK2014"
	+make gptsync_tiano
else
	@echo "Did not find $(EDK2BASE) or $(TIANOBASE); building with GNU-EFI"
	+make gptsync_gnuefi
endif

###########################################################################
#
# GNU-EFI build rules; should work with any CPU architecture and GNU-EFI
# version 3.0u or later, but cross-compiling requires adding odd
# components and is untested....
#
###########################################################################

gnuefi:
	+make MAKEWITH=GNUEFI -C $(LIBEG_DIR)
	+make MAKEWITH=GNUEFI -C $(MOK_DIR)
	+make MAKEWITH=GNUEFI -C $(EFILIB_DIR)
	+make MAKEWITH=GNUEFI -C $(LOADER_DIR)
	+make MAKEWITH=GNUEFI -C $(GPTSYNC_DIR) gnuefi

all_gnuefi: gnuefi fs_gnuefi

gptsync_gnuefi:
	+make MAKEWITH=GNUEFI -C $(GPTSYNC_DIR) gnuefi

fs_gnuefi:
	+make MAKEWITH=GNUEFI -C $(FS_DIR) all_gnuefi

###########################################################################
#
# Old-style TianoCore build rules; useful only with UDK2014 development
# kit....
#
###########################################################################

# Don't build gptsync under TianoCore/AARCH64 by default because it errors out
# when using a cross-compiler on an x86-64 system. Because gptsync is pretty
# useless on ARM64, skipping it is no big deal....
tiano:
	-include $(TIANOBASE)/Conf/target.txt
	+make MAKEWITH=TIANO AR_TARGET=EfiLib -C $(EFILIB_DIR) -f Make.tiano
	+make MAKEWITH=TIANO AR_TARGET=libeg -C $(LIBEG_DIR) -f Make.tiano
	+make MAKEWITH=TIANO AR_TARGET=mok -C $(MOK_DIR) -f Make.tiano
	+make MAKEWITH=TIANO BUILDME=refind DLL_TARGET=refind -C $(LOADER_DIR) -f Make.tiano
ifneq ($(ARCH),aarch64)
	+make MAKEWITH=TIANO -C $(GPTSYNC_DIR) -f Make.tiano
endif
#	+make MAKEWITH=TIANO -C $(FS_DIR)

all_tiano: tiano fs_tiano

gptsync_tiano:
	-include $(TIANOBASE)/Conf/target.txt
	+make MAKEWITH=TIANO -C $(GPTSYNC_DIR) -f Make.tiano

fs_tiano:
	-include $(TIANOBASE)/Conf/target.txt
	+make MAKEWITH=TIANO -C $(FS_DIR)

###########################################################################
#
# New-style build rules for use with TianoCore via its own "build" tool.
# Works with UDK2014 and late-March EDK2; but UDK2014 builds fail with
# AARCH64 unless .inf files are modified to eliminate references to
# CompilerIntrinsicsLib....
#
# NOTE: Unlike other build rules, these build everything (rEFInd, gptsync,
# and filesystem drivers), even if only one component is requested; but
# only the requested components are copied to their final destinations.
# This is done because of the heavy overhead in building just one
# component in the TianoCore "build" tool.
#
###########################################################################

# Build process for TianoCore using TianoCore-standard build process rather
# than my own custom Makefiles (except this top-level one)
edk2: build_edk2
	cp $(EDK2_BUILDLOC)/refind.efi ./refind/refind_$(FILENAME_CODE).efi
	cp $(EDK2_BUILDLOC)/gptsync.efi ./gptsync/gptsync_$(FILENAME_CODE).efi

all_edk2: build_edk2 fs_edk2
	cp $(EDK2_BUILDLOC)/refind.efi ./refind/refind_$(FILENAME_CODE).efi
	cp $(EDK2_BUILDLOC)/gptsync.efi ./gptsync/gptsync_$(FILENAME_CODE).efi

gptsync_edk2: build_edk2
	cp $(EDK2_BUILDLOC)/gptsync.efi ./gptsync/gptsync_$(FILENAME_CODE).efi

fs_edk2: build_edk2
	for BASENAME in $(EDK2_DRIVER_BASENAMES) ; do \
		echo "Copying $$BASENAME""_$(FILENAME_CODE).efi" ; \
		cp "$(EDK2_BUILDLOC)/$$BASENAME.efi" ./drivers_$(FILENAME_CODE)/$$BASENAME\_$(FILENAME_CODE).efi ; \
	done

build_edk2: $(EDK2BASE)/RefindPkg
	cd $(EDK2BASE) && \
	. ./edksetup.sh BaseTools && \
	build -a $(UC_ARCH) -p RefindPkg/RefindPkg.dsc
	mkdir -p ./drivers_$(FILENAME_CODE)

$(EDK2BASE)/RefindPkg:
	ln -s $(THISDIR) $(EDK2BASE)/RefindPkg

###########################################################################
#
# Build rules that are not dependent on the toolkit....
#
###########################################################################

# NOTE: This "clean" rule cleans intermediate components for all three
# build styles (tiano, edk2, and gnuefi).
clean:
	make -C $(LIBEG_DIR) clean
	make -C $(MOK_DIR) clean
	make -C $(LOADER_DIR) clean
	make -C $(EFILIB_DIR) clean
	make -C $(FS_DIR) clean
	make -C $(GPTSYNC_DIR) clean
	rm -f include/*~
	rm -rf $(EDK2BASE)/Build/Refind
	rm -rf drivers_$(FILENAME_CODE)/*
	[ ! -L $(EDK2BASE)/RefindPkg ] || rm -v $(EDK2BASE)/RefindPkg

# NOTE TO DISTRIBUTION MAINTAINERS:
# The "install" target installs the program directly to the ESP
# and it modifies the *CURRENT COMPUTER's* NVRAM. Thus, you should
# *NOT* use this target as part of the build process for your
# binary packages (RPMs, Debian packages, etc.). (Gentoo could
# use it in an ebuild, though....) You COULD, however, copy the
# files to a directory somewhere (/usr/share/refind or whatever)
# and then call refind-install as part of the binary package
# installation process.

install:
	./refind-install

# DO NOT DELETE

=== libeg/Makefile ===
#
# libeg/Makefile
# Build control file for the libeg library
#

# This program is licensed under the terms of the GNU GPL, version 3,
# or (at your option) any later version.
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

SRCDIR = .

VPATH = $(SRCDIR)

LOCAL_GNUEFI_CFLAGS  = -I$(SRCDIR) -I$(SRCDIR)/../include

OBJS            = screen.o image.o text.o load_bmp.o load_icns.o lodepng.o lodepng_xtra.o
TARGET          = libeg.a

all: $(TARGET)

include $(SRCDIR)/../Make.common

clean:
	rm -f $(TARGET) *~ *.so $(OBJS) *.efi *.obj refind_*.txt refind_*.dll *.lib

# EOF

=== debian/changelog ===
refind (0.11.2-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 11 Apr 2018 18:33:36 -0700

refind (0.11.2-1) unstable; urgency=medium

  * Update to 0.11.2 upstream release
    - see http://www.rodsbooks.com/refind/revisions.html for changes

 -- Tianon Gravi <tianon@debian.org>  Mon, 04 Dec 2017 15:39:01 -0800

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: refind
-Maintainer: Rod Smith <rod.smith@canonical.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Rod Smith <rod.smith@canonical.com>
 Uploaders: Tianon Gravi <tianon@debian.org>
 Section: admin
 Priority: optional

## refind 0.11.3

=== gptsync/Makefile ===
# meta-Makefile for gptsync program; controls use of EFI build using
# GNU-EFI vs. TianoCore EDK2 or build for Unix/Linux.
#
# Most of the functionality is in Make.tiano, Make.gnuefi, and
# Make.unix; this Makefile just dispatches based on options
# passed to it....

TEXTFILES = gptsync.txt

TARGET = tiano

all:	$(TARGET)

gnuefi:
	+make -f Make.gnuefi

tiano:
	+make -f Make.tiano

# TODO: Fix Make.unix; currently broken....
unix:
	+make -f Make.unix

# utility rules

clean:
	rm -f *~ *.bak *.o *.obj *.so *.efi *.dll err.txt gptsync_*.txt gptsync showpart $(TEXTFILES)


# DO NOT DELETE

=== debian/changelog ===
refind (0.11.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol

  [ Tianon Gravi ]
  * Update to 0.11.3 upstream release
    - see http://www.rodsbooks.com/refind/revisions.html for changes
  * Update Standards-Version to 4.2.1 (no changes)
  * Use "/usr/share/dpkg/architecture.mk" appropriately

 -- Tianon Gravi <tianon@debian.org>  Wed, 17 Oct 2018 08:09:29 -0700

refind (0.11.2-1.1) unstable; urgency=medium

  * Non-maintainer upload, fixing longstanding l10n issues.

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #896829)
    - Pass ARCH= to make
    - Let dh_auto_build pass cross tools to make

  [ Helge Kreutzmann ]
  * Debconf translation updates:
    - French, thanks Julien Patriarca (Closes: #833856)
    - Netherlands, thanks Frans Spiesschaert (Closes: #834610)
    - Brazilian Portuguese, thanks Adriano Rafael Gomes (Closes: #834934)
    - German, thanks Chris Leick (Closes: #843766)
    - Portuguese, thanks Rui Branco (Closes: #858748, #898283)
    - Russian, thanks Lev Lamberov (Closes: #883140)
    - Spanish, thanks Jonathan Bustillos (Closes: #900712)

  [ Tianon Gravi ]
  * Update Vcs-* to point to Salsa
  * Update Homepage to https

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 01 Sep 2018 08:59:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: refind
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Rod Smith <rod.smith@canonical.com>
+Maintainer: Rod Smith <rod.smith@canonical.com>
 Uploaders: Tianon Gravi <tianon@debian.org>
 Section: admin
 Priority: optional
-Standards-Version: 3.9.8
+Standards-Version: 4.2.1
 Build-Depends: debhelper (>= 9), gnu-efi
-Homepage: http://www.rodsbooks.com/refind
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/refind.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/refind.git
+Homepage: https://www.rodsbooks.com/refind
+Vcs-Browser: https://salsa.debian.org/debian/refind
+Vcs-Git: https://salsa.debian.org/debian/refind.git
 
 Package: refind
 Architecture: amd64 arm64 i386

## refind 0.11.4

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 # TIANOBASE is used with "tiano" targets and
 # EDK2BASE is used with "edk2" targets
 export TIANOBASE=/usr/local/UDK2014/MyWorkSpace
-export EDK2BASE=/usr/local/edk2-vUDK2017
+export EDK2BASE=/usr/local/edk2-vUDK2018
 # NOTE: Below is overridden for "tiano" targets
 -include $(EDK2BASE)/Conf/target.txt
 THISDIR=$(shell pwd)

=== filesystems/Makefile ===
# meta-Makefile for rEFInd filesystem drivers
#
# Most of the functionality is in Make.tiano; this Makefile merely
# deletes critical temporary files and calls Make.tiano with the
# name of the driver to be built. This is done because of a dependency
# in the fsw_efi.c file on the filesystem type; this file must be
# recompiled for each new filesystem built.

# This program is licensed under the terms of the GNU GPL, version 3,
# or (at your option) any later version.
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

INSTALL_DIR = /boot/efi/EFI/refind/drivers

FILESYSTEMS = ext2 ext4 reiserfs iso9660 hfs btrfs ntfs
FILESYSTEMS_GNUEFI = ext2_gnuefi ext4_gnuefi reiserfs_gnuefi iso9660_gnuefi hfs_gnuefi btrfs_gnuefi ntfs_gnuefi
TEXTFILES = $(FILESYSTEMS:=*.txt)

# Build the drivers with TianoCore EDK2.....

all:	$(FILESYSTEMS)

ext2:
	rm -f fsw_efi.obj
	+make DRIVERNAME=ext2 -f Make.tiano

ext4:
	rm -f fsw_efi.obj
	+make DRIVERNAME=ext4 -f Make.tiano

reiserfs:
	rm -f fsw_efi.obj
	+make DRIVERNAME=reiserfs -f Make.tiano

iso9660:
	rm -f fsw_efi.obj
	+make DRIVERNAME=iso9660 -f Make.tiano

hfs:
	rm -f fsw_efi.obj
	+make DRIVERNAME=hfs -f Make.tiano

btrfs:
	rm -f fsw_efi.obj
	+make DRIVERNAME=btrfs -f Make.tiano

ntfs:
	rm -f fsw_efi.obj
	+make DRIVERNAME=ntfs -f Make.tiano

# Build the drivers with GNU-EFI....

gnuefi: $(FILESYSTEMS_GNUEFI)

all_gnuefi:	$(FILESYSTEMS_GNUEFI)

ext2_gnuefi:
	rm -f fsw_efi.o
	+make DRIVERNAME=ext2 -f Make.gnuefi

ext4_gnuefi:
	rm -f fsw_efi.o
	+make DRIVERNAME=ext4 -f Make.gnuefi

reiserfs_gnuefi:
	rm -f fsw_efi.o
	+make DRIVERNAME=reiserfs -f Make.gnuefi

iso9660_gnuefi:
	rm -f fsw_efi.o
	+make DRIVERNAME=iso9660 -f Make.gnuefi

hfs_gnuefi:
	rm -f fsw_efi.o
	+make DRIVERNAME=hfs -f Make.gnuefi

btrfs_gnuefi:
	rm -f fsw_efi.o
	+make DRIVERNAME=btrfs -f Make.gnuefi

ntfs_gnuefi:
	rm -f fsw_efi.o
	+make DRIVERNAME=ntfs -f Make.gnuefi

# utility rules

clean:
	rm -f *~ *.bak *.o *.obj *.so *.efi *.dll err.txt $(TEXTFILES)
	+make -C test clean


install:
	mkdir -p $(INSTALL_DIR)
	cp *.efi $(INSTALL_DIR)

# DO NOT DELETE

=== libeg/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 LOCAL_GNUEFI_CFLAGS  = -I$(SRCDIR) -I$(SRCDIR)/../include
 
-OBJS            = screen.o image.o text.o load_bmp.o load_icns.o lodepng.o lodepng_xtra.o
+OBJS            = nanojpeg.o nanojpeg_xtra.o screen.o image.o text.o load_bmp.o load_icns.o lodepng.o lodepng_xtra.o
 TARGET          = libeg.a
 
 all: $(TARGET)

=== net/Makefile ===
IPXE_GIT=git://git.ipxe.org/ipxe.git
EFI_PREFIX=efi_discovery_prefix.c
EFI_DISCOVERY_BINARY=ipxe_discovery.efi
EFI_DISCOVERY_ENTRY=_efi_discovery_start
IPXE_SRC = ipxe

source:
	rm -rf $(IPXE_SRC)/
	git clone $(IPXE_GIT)
	cp discovery/$(EFI_PREFIX) ipxe/src/arch/x86/prefix/
	cp discovery/Makefile.housekeeping ipxe/src/Makefile.housekeeping
netboot:
	mkdir -p bin
	cp discovery/console.h ipxe/src/config/local/console.h;\
	cd ipxe/src;\
	make bin-x86_64-efi/ipxe.efi TGT_LD_ENTRY=$(EFI_DISCOVERY_ENTRY);\
	cp bin-x86_64-efi/ipxe.efi ../../bin/$(EFI_DISCOVERY_BINARY);\
	rm -r bin-x86_64-efi/;\
	rm config/local/console.h;\
	make bin-x86_64-efi/ipxe.efi;\
	cp bin-x86_64-efi/ipxe.efi ../../bin/ipxe.efi;\
	cd ../../
clean:
	rm -r bin/

=== refind/Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
                   -L$(SRCDIR)/../EfiLib/
 LOCAL_LIBS      = -leg -lmok -lEfiLib
 
-OBJS            = main.o mystrings.o apple.o line_edit.o config.o menu.o \
+OBJS            = main.o mystrings.o apple.o line_edit.o config.o menu.o pointer.o \
                   screen.o icns.o gpt.o crc32.o lib.o driver_support.o \
 		  legacy.o

=== filesystems/test/Makefile ===

DRIVERNAME = xfs

CC		= /usr/bin/gcc
CFLAGS		= -Wall -g -D_REENTRANT -DVERSION=\"$(VERSION)\" -DHOST_POSIX -I ../ -DFSTYPE=$(DRIVERNAME)

FSW_NAMES       = ../fsw_core ../fsw_lib
FSW_OBJS	= $(FSW_NAMES:=.o)
LSLR_OBJS	= $(FSW_OBJS) ../fsw_$(DRIVERNAME).o fsw_posix.o lslr.o
LSLR_BIN	= lslr
LSROOT_OBJS	= $(FSW_OBJS) ../fsw_xfs.o .fsw_posix.o lsroot.o
LSROOT_BIN	= lsroot


$(LSLR_BIN):	$(LSLR_OBJS)
		$(CC) $(CFLAGS) -o $(LSLR_BIN) $(LSLR_OBJS) $(LDFLAGS)


$(LSROOT_BIN):	$(LSROOT_OBJS) 
		$(CC) $(CFLAGS) -o $(LSROOT_BIN) $(LSROOT_OBJS) $(LDFLAGS)

all:		$(LSLR_BIN) $(LSROOT_BIN)

clean:		
		@rm -f *.o ../*.o lslr lsroot

=== debian/changelog ===
refind (0.11.4-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 02 Dec 2019 13:57:06 -0800

refind (0.11.4-1) unstable; urgency=medium

  * Update to 0.11.4 upstream release
    - see http://www.rodsbooks.com/refind/revisions.html for changes
  * Update Standards-Version to 4.3.0

 -- Tianon Gravi <tianon@debian.org>  Thu, 15 Aug 2019 08:12:37 -0700

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: refind
-Maintainer: Rod Smith <rod.smith@canonical.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Rod Smith <rod.smith@canonical.com>
 Uploaders: Tianon Gravi <tianon@debian.org>
 Section: admin
 Priority: optional
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Build-Depends: debhelper (>= 9), gnu-efi
 Homepage: https://www.rodsbooks.com/refind
 Vcs-Browser: https://salsa.debian.org/debian/refind

## refind 0.12.0

=== refind/Makefile ===
--- 
+++ 
@@ -36,9 +36,9 @@
                   -L$(SRCDIR)/../EfiLib/
 LOCAL_LIBS      = -leg -lmok -lEfiLib
 
-OBJS            = main.o mystrings.o apple.o line_edit.o config.o menu.o pointer.o \
-                  screen.o icns.o gpt.o crc32.o lib.o driver_support.o \
-		  legacy.o
+OBJS            = apple.o config.o crc32.o driver_support.o gpt.o icns.o \
+                  install.o launch_efi.o launch_legacy.o lib.o line_edit.o \
+                  linux.o main.o menu.o mystrings.o pointer.o scan.o screen.o
 
 include $(SRCDIR)/../Make.common

=== debian/changelog ===
refind (0.12.0-1) unstable; urgency=medium

  * Update to 0.12.0 upstream release
    - see http://www.rodsbooks.com/refind/revisions.html for changes
  * Backport patch for GCC 10 (Closes: #957754)

 -- Tianon Gravi <tianon@debian.org>  Wed, 22 Jul 2020 14:00:56 -0700

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: refind
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Rod Smith <rod.smith@canonical.com>
+Maintainer: Rod Smith <rod.smith@canonical.com>
 Uploaders: Tianon Gravi <tianon@debian.org>
 Section: admin
 Priority: optional
@@ -12,7 +11,7 @@
 
 Package: refind
 Architecture: amd64 arm64 i386
-Depends: debconf, efibootmgr, openssl, parted, ${misc:Depends}
+Depends: debconf, efibootmgr, gdisk, openssl, ${misc:Depends}
 Recommends: python3, sbsigntool
 Description: boot manager for EFI-based computers
  A graphical boot manager for EFI- and UEFI-based computers, such as all

## refind 0.13.2

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 EDK2_BUILDLOC=$(EDK2BASE)/Build/Refind/$(TARGET)_$(TOOL_CHAIN_TAG)/$(UC_ARCH)
 EDK2_PROGRAM_BASENAMES=refind gptsync
 EDK2_PROGRAMS=$(EDK2_PROGRAM_BASENAMES:=.efi)
-EDK2_DRIVER_BASENAMES=btrfs ext4 ext2 hfs iso9660 ntfs reiserfs
+EDK2_DRIVER_BASENAMES=btrfs ext4 ext2 hfs iso9660 reiserfs
 EDK2_DRIVERS=$(EDK2_DRIVER_BASENAMES:=.efi)
 EDK2_ALL_BASENAMES=$(EDK2_PROGRAM_BASENAMES) $(EDK2_DRIVER_BASENAMES)
 EDK2_ALL_FILES=$(EDK2_ALL_BASENAMES:=.efi)

=== filesystems/Makefile ===
--- 
+++ 
@@ -13,8 +13,8 @@
 
 INSTALL_DIR = /boot/efi/EFI/refind/drivers
 
-FILESYSTEMS = ext2 ext4 reiserfs iso9660 hfs btrfs ntfs
-FILESYSTEMS_GNUEFI = ext2_gnuefi ext4_gnuefi reiserfs_gnuefi iso9660_gnuefi hfs_gnuefi btrfs_gnuefi ntfs_gnuefi
+FILESYSTEMS = ext2 ext4 reiserfs iso9660 hfs btrfs
+FILESYSTEMS_GNUEFI = ext2_gnuefi ext4_gnuefi reiserfs_gnuefi iso9660_gnuefi hfs_gnuefi btrfs_gnuefi
 TEXTFILES = $(FILESYSTEMS:=*.txt)
 
 # Build the drivers with TianoCore EDK2.....

=== mok/Makefile ===
#
# mok/Makefile
# Build control file for the libeg library
#

# This program is licensed under the terms of the GNU GPL, version 3,
# or (at your option) any later version.
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

SRCDIR = .

VPATH = $(SRCDIR)

LOCAL_GNUEFI_CFLAGS  = -I$(SRCDIR) -I$(SRCDIR)/../include

OBJS            = guid.o mok.o security_policy.o simple_file.o
TARGET          = libmok.a

all: $(TARGET)

include $(SRCDIR)/../Make.common

clean:
	rm -f $(TARGET) *~ *.so $(OBJS) *.efi *.obj refind_*.txt refind_*.dll *.lib

# EOF

=== refind/Makefile ===
--- 
+++ 
@@ -38,7 +38,8 @@
 
 OBJS            = apple.o config.o crc32.o driver_support.o gpt.o icns.o \
                   install.o launch_efi.o launch_legacy.o lib.o line_edit.o \
-                  linux.o main.o menu.o mystrings.o pointer.o scan.o screen.o
+                  linux.o log.o main.o menu.o mystrings.o pointer.o scan.o \
+                  screen.o
 
 include $(SRCDIR)/../Make.common

=== debian/changelog ===
refind (0.13.2-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 03 Jan 2022 13:54:37 -0800

refind (0.13.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on debhelper.

  [ Tianon Gravi ]
  * Update to 0.13.2 upstream release
    - see http://www.rodsbooks.com/refind/revisions.html for changes
    - "Updated CentOS Secure Boot (MOK) keys" (Closes: #958744)
  * Backport "gnu-efi" fix (Closes: #995623)

 -- Tianon Gravi <tianon@debian.org>  Mon, 25 Oct 2021 15:44:40 -0700

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: refind
-Maintainer: Rod Smith <rod.smith@canonical.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Rod Smith <rod.smith@canonical.com>
 Uploaders: Tianon Gravi <tianon@debian.org>
 Section: admin
 Priority: optional
 Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 9), gnu-efi
+Build-Depends: debhelper, gnu-efi
 Homepage: https://www.rodsbooks.com/refind
 Vcs-Browser: https://salsa.debian.org/debian/refind
 Vcs-Git: https://salsa.debian.org/debian/refind.git
 
 Package: refind
 Architecture: amd64 arm64 i386
-Depends: debconf, efibootmgr, gdisk, openssl, ${misc:Depends}
+Depends: debconf, efibootmgr, gdisk, mokutil, openssl, ${misc:Depends}
 Recommends: python3, sbsigntool
 Description: boot manager for EFI-based computers
  A graphical boot manager for EFI- and UEFI-based computers, such as all

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE := 1

include /usr/share/dpkg/architecture.mk
ifeq (amd64, $(DEB_HOST_ARCH_CPU))
	ARCH := x86_64
	EFI_ARCH := x64
else
ifeq (i386, $(DEB_HOST_ARCH_CPU))
	ARCH := ia32
	EFI_ARCH := ia32
else
ifeq (arm64, $(DEB_HOST_ARCH_CPU))
	ARCH = aarch64
	EFI_ARCH := aa64
else
	$(warning EFI architecture for $(DEB_HOST_ARCH_CPU) is unknown)
	ARCH := $(DEB_HOST_ARCH_CPU)
	EFI_ARCH := $(DEB_HOST_ARCH_CPU)
endif
endif
endif

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf drivers_*/

override_dh_auto_build:
	dh_auto_build -- gnuefi 'ARCH=$(ARCH)'
	dh_auto_build -- fs_gnuefi 'ARCH=$(ARCH)'

override_dh_auto_install:
	# "make install" actually runs "efi-install" for the current system, so let's not do that :)

override_dh_install:
	dh_install
	mkdir -p debian/refind/usr/share/refind/refind/tools_$(EFI_ARCH)
	cp gptsync/gptsync_$(EFI_ARCH).efi debian/refind/usr/share/refind/refind/tools_$(EFI_ARCH)/

override_dh_installchangelogs:
	dh_installchangelogs NEWS.txt

# MX don't need no stinkin' dbgsyms
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## refind 0.14.2

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 FS_DIR=filesystems
 LIBEG_DIR=libeg
 MOK_DIR=mok
+GZIP_DIR=gzip
 GPTSYNC_DIR=gptsync
 EFILIB_DIR=EfiLib
 # Two possible locations for TianoCore toolkit:
@@ -83,6 +84,7 @@
 gnuefi:
 	+make MAKEWITH=GNUEFI -C $(LIBEG_DIR)
 	+make MAKEWITH=GNUEFI -C $(MOK_DIR)
+	+make MAKEWITH=GNUEFI -C $(GZIP_DIR)
 	+make MAKEWITH=GNUEFI -C $(EFILIB_DIR)
 	+make MAKEWITH=GNUEFI -C $(LOADER_DIR)
 	+make MAKEWITH=GNUEFI -C $(GPTSYNC_DIR) gnuefi
@@ -110,6 +112,7 @@
 	+make MAKEWITH=TIANO AR_TARGET=EfiLib -C $(EFILIB_DIR) -f Make.tiano
 	+make MAKEWITH=TIANO AR_TARGET=libeg -C $(LIBEG_DIR) -f Make.tiano
 	+make MAKEWITH=TIANO AR_TARGET=mok -C $(MOK_DIR) -f Make.tiano
+	+make MAKEWITH=TIANO AR_TARGET=gzip -C $(GZIP_DIR) -f Make.tiano
 	+make MAKEWITH=TIANO BUILDME=refind DLL_TARGET=refind -C $(LOADER_DIR) -f Make.tiano
 ifneq ($(ARCH),aarch64)
 	+make MAKEWITH=TIANO -C $(GPTSYNC_DIR) -f Make.tiano
@@ -146,6 +149,12 @@
 edk2: build_edk2
 	cp $(EDK2_BUILDLOC)/refind.efi ./refind/refind_$(FILENAME_CODE).efi
 	cp $(EDK2_BUILDLOC)/gptsync.efi ./gptsync/gptsync_$(FILENAME_CODE).efi
+ifneq ($(OMIT_SBAT), 1)
+	$(OBJCOPY) --set-section-alignment '.sbat=512' --add-section .sbat=$(REFIND_SBAT_CSV) \
+		--adjust-section-vma .sbat+10000000 ./refind/refind_$(FILENAME_CODE).efi
+	$(OBJCOPY) --set-section-alignment '.sbat=512' --add-section .sbat=$(REFIND_SBAT_CSV) \
+		--adjust-section-vma .sbat+10000000 ./gptsync/gptsync_$(FILENAME_CODE).efi
+endif
 
 all_edk2: build_edk2 fs_edk2
 	cp $(EDK2_BUILDLOC)/refind.efi ./refind/refind_$(FILENAME_CODE).efi
@@ -155,10 +164,19 @@
 	cp $(EDK2_BUILDLOC)/gptsync.efi ./gptsync/gptsync_$(FILENAME_CODE).efi
 
 fs_edk2: build_edk2
+ifeq ($(OMIT_SBAT), 1)
 	for BASENAME in $(EDK2_DRIVER_BASENAMES) ; do \
 		echo "Copying $$BASENAME""_$(FILENAME_CODE).efi" ; \
 		cp "$(EDK2_BUILDLOC)/$$BASENAME.efi" ./drivers_$(FILENAME_CODE)/$$BASENAME\_$(FILENAME_CODE).efi ; \
 	done
+else
+	for BASENAME in $(EDK2_DRIVER_BASENAMES) ; do \
+		echo "Copying $$BASENAME""_$(FILENAME_CODE).efi" ; \
+		cp "$(EDK2_BUILDLOC)/$$BASENAME.efi" ./drivers_$(FILENAME_CODE)/$$BASENAME\_$(FILENAME_CODE).efi ; \
+		$(OBJCOPY) --set-section-alignment '.sbat=512' --add-section .sbat=$(REFIND_SBAT_CSV) \
+		    --adjust-section-vma .sbat+10000000 ./drivers_$(FILENAME_CODE)/$$BASENAME\_$(FILENAME_CODE).efi ; \
+	done
+endif
 
 build_edk2: $(EDK2BASE)/RefindPkg
 	cd $(EDK2BASE) && \
@@ -180,6 +198,7 @@
 clean:
 	make -C $(LIBEG_DIR) clean
 	make -C $(MOK_DIR) clean
+	make -C $(GZIP_DIR) clean
 	make -C $(LOADER_DIR) clean
 	make -C $(EFILIB_DIR) clean
 	make -C $(FS_DIR) clean

=== EfiLib/Makefile ===
#
# EfiLib/Makefile
#

# This program is licensed under the terms of the GNU GPL, version 3,
# or (at your option) any later version.
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

SRCDIR = .

VPATH = $(SRCDIR)

LOCAL_GNUEFI_CFLAGS  = -I$(SRCDIR) -I$(SRCDIR)/../include

OBJS            = gnuefi-helper.o legacy.o BdsHelper.o BdsTianoCore.o
TARGET          = libEfiLib.a

all: $(TARGET)

include $(SRCDIR)/../Make.common

clean:
	rm -f *.o *.obj *~ *.lib *.a

=== filesystems/Makefile ===
--- 
+++ 
@@ -83,6 +83,10 @@
 	rm -f fsw_efi.o
 	+make DRIVERNAME=ntfs -f Make.gnuefi
 
+# Compiling filesystem drivers in parallel with GNU-EFI can cause build errors
+# and frozen systems on boot with drivers that do build OK, so disallow this....
+.NOTPARALLEL:
+
 # utility rules
 
 clean:

=== gzip/Makefile ===
#
# libeg/Makefile
# Build control file for the gzip decompression library
#

# This program is licensed under the terms of the GNU GPL, version 3,
# or (at your option) any later version.
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

SRCDIR = .

VPATH = $(SRCDIR)

LOCAL_GNUEFI_CFLAGS  = -I$(SRCDIR) -I$(SRCDIR)/../include

OBJS            = decompress_inflate.o
TARGET          = libgzip.a

all: $(TARGET)

include $(SRCDIR)/../Make.common

clean:
	rm -f $(TARGET) *~ *.so $(OBJS) *.efi *.obj refind_*.txt refind_*.dll *.lib

# EOF

=== refind/Makefile ===
--- 
+++ 
@@ -33,8 +33,8 @@
 LOCAL_GNUEFI_CFLAGS  = -I$(SRCDIR) -I$(SRCDIR)/../include \
                        -I$(SRCDIR)/../libeg -I$(SRCDIR)/../mok
 LOCAL_LDFLAGS   = -L$(SRCDIR)/../libeg/ -L$(SRCDIR)/../mok/ \
-                  -L$(SRCDIR)/../EfiLib/
-LOCAL_LIBS      = -leg -lmok -lEfiLib
+                  -L$(SRCDIR)/../EfiLib/ -L$(SRCDIR)/../gzip
+LOCAL_LIBS      = -leg -lmok -lEfiLib -lgzip
 
 OBJS            = apple.o config.o crc32.o driver_support.o gpt.o icns.o \
                   install.o launch_efi.o launch_legacy.o lib.o line_edit.o \
@@ -50,9 +50,13 @@
 	      -o $@ $(LOCAL_LIBS) $(GNUEFI_LIBS)
 
 $(TARGET): $(SHLIB_TARGET)
-	$(OBJCOPY) -j .text -j .sdata -j .data -j .dynamic -j .dynsym -j .rel \
-	           -j .rela -j .rel.* -j .rela.* -j .rel* -j .rela* \
-		   -j .reloc $(FORMAT) $< $@
+	$(OBJCOPY) -j .text -j .sdata -j .data -j .dynamic -j .dynsym -j .rodata \
+		   -j .rel -j .rela -j .rel.* -j .rela.* -j .rel* -j .rela* \
+		   -j .reloc --strip-unneeded $(FORMAT) $< $@
+ifneq ($(OMIT_SBAT), 1)
+	    $(OBJCOPY) --add-section .sbat=$(SRCDIR)/../$(REFIND_SBAT_CSV) \
+		       --adjust-section-vma .sbat+10000000 $@
+endif
 	chmod a-x $(TARGET)
 
 clean:

=== debian/changelog ===
refind (0.14.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update debconf template translation
    - Italian translation.
      Thanks to Ceppo (Closes: #1024072)
    - Romanian translation.
      Thanks to Remus-Gabriel Chelu (Closes: #1033452)
    - Swedish translation.
      Thanks to Martin Bagge (Closes: #1080983)

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 02 Feb 2025 18:42:22 +0100

refind (0.14.2-2) unstable; urgency=medium

  * Add GNUEFI_ARM64_TARGET_SUPPORT=y to fix arm64 build
    - see https://sourceforge.net/p/refind/code/ci/14ecfde106fe3d5b3ead5e02bf56d340770be5ff/tree/BUILDING.txt#l411

 -- Tianon Gravi <tianon@debian.org>  Wed, 28 Aug 2024 17:00:46 -0700

refind (0.14.2-1) unstable; urgency=medium

  * Update to 0.14.2 upstream release (Closes: #1056706)
    - see http://www.rodsbooks.com/refind/revisions.html for changes
    - ext4 driver ignores metadata_csum_seed (Closes: #1078055)

 -- Tianon Gravi <tianon@debian.org>  Thu, 15 Aug 2024 20:27:49 -0700

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: refind
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Rod Smith <rod.smith@canonical.com>
+Maintainer: Rod Smith <rod.smith@canonical.com>
 Uploaders: Tianon Gravi <tianon@debian.org>
 Section: admin
 Priority: optional
 Standards-Version: 4.3.0
-Build-Depends: debhelper, gnu-efi
+Build-Depends: debhelper (>= 11), gnu-efi
 Homepage: https://www.rodsbooks.com/refind
 Vcs-Browser: https://salsa.debian.org/debian/refind
 Vcs-Git: https://salsa.debian.org/debian/refind.git
 
 Package: refind
 Architecture: amd64 arm64 i386
-Depends: debconf, efibootmgr, gdisk, mokutil, openssl, ${misc:Depends}
+Depends: debconf, efibootmgr, gawk, gdisk, mokutil, openssl, ${misc:Depends}
 Recommends: python3, sbsigntool
 Description: boot manager for EFI-based computers
  A graphical boot manager for EFI- and UEFI-based computers, such as all

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,8 @@
 ifeq (arm64, $(DEB_HOST_ARCH_CPU))
 	ARCH = aarch64
 	EFI_ARCH := aa64
+# https://sourceforge.net/p/refind/code/ci/14ecfde106fe3d5b3ead5e02bf56d340770be5ff/tree/BUILDING.txt#l411
+	GNU_EFI_EXTRA_MAKEOPTS := $(shell dpkg --compare-versions "$$(dpkg-query -f '$${Version}' -W gnu-efi)" '>=' '3.0.17~' && echo GNUEFI_ARM64_TARGET_SUPPORT=y)
 else
 	$(warning EFI architecture for $(DEB_HOST_ARCH_CPU) is unknown)
 	ARCH := $(DEB_HOST_ARCH_CPU)
@@ -30,8 +32,8 @@
 	rm -rf drivers_*/
 
 override_dh_auto_build:
-	dh_auto_build -- gnuefi 'ARCH=$(ARCH)'
-	dh_auto_build -- fs_gnuefi 'ARCH=$(ARCH)'
+	dh_auto_build -- gnuefi 'ARCH=$(ARCH)' $(GNU_EFI_EXTRA_MAKEOPTS)
+	dh_auto_build -- fs_gnuefi 'ARCH=$(ARCH)' $(GNU_EFI_EXTRA_MAKEOPTS)
 
 override_dh_auto_install:
 	# "make install" actually runs "efi-install" for the current system, so let's not do that :)
@@ -43,7 +45,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS.txt
-
-# MX don't need no stinkin' dbgsyms
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
